Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.provider.java.security
Class JSSKeyPairGeneratorSpi

    java.lang.Object
      |
      +--java.security.KeyPairGeneratorSpi
            |
            +--org.mozilla.jss.provider.java.security.JSSKeyPairGeneratorSpi

Direct Known Subclasses:
  JSSKeyPairGeneratorSpi.DSA, JSSKeyPairGeneratorSpi.RSA

class JSSKeyPairGeneratorSpi
extends java.security.KeyPairGeneratorSpi

Nested Class Summary
`static class` | `JSSKeyPairGeneratorSpi.DSA`
`static class` | `JSSKeyPairGeneratorSpi.RSA`

Field Summary
`private KeyPairGenerator` | `kpg`

Constructor Summary
`private` | `JSSKeyPairGeneratorSpi()`
`protected` | `JSSKeyPairGeneratorSpi(KeyPairAlgorithm alg)`

Method Summary
`java.security.KeyPair` | `generateKeyPair()`
`void` | `initialize(java.security.spec.AlgorithmParameterSpec params, java.security.SecureRandom random)`
`void` | `initialize(int keysize, java.security.SecureRandom random)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### kpg

    private KeyPairGenerator kpg

Constructor Detail

### JSSKeyPairGeneratorSpi

    private JSSKeyPairGeneratorSpi()

### JSSKeyPairGeneratorSpi

    protected JSSKeyPairGeneratorSpi(KeyPairAlgorithm alg)

Method Detail

### initialize

    public void initialize(java.security.spec.AlgorithmParameterSpec params,
                           java.security.SecureRandom random)
                    throws java.security.InvalidAlgorithmParameterException

  Overrides:
    `initialize` in class `java.security.KeyPairGeneratorSpi`
    `java.security.InvalidAlgorithmParameterException`

### initialize

    public void initialize(int keysize,
                           java.security.SecureRandom random)

  Specified by:
    `initialize` in class `java.security.KeyPairGeneratorSpi`

### generateKeyPair

    public java.security.KeyPair generateKeyPair()

  Specified by:
    `generateKeyPair` in class `java.security.KeyPairGeneratorSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD